<?php
/**
 * @Packge     : Rasm
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( defined( 'CMB2_LOADED' )  ){
        if( !empty( rasm_meta('page_breadcrumb_area') ) ) {
            $rasm_page_breadcrumb_area  = rasm_meta('page_breadcrumb_area');
        } else {
            $rasm_page_breadcrumb_area = '1';
        }
    }else{
        $rasm_page_breadcrumb_area = '1';
    }
    
    $allowhtml = array(
        'p'         => array(
            'class'     => array()
        ),
        'span'      => array(
            'class'     => array(),
        ),
        'a'         => array(
            'href'      => array(),
            'title'     => array()
        ),
        'br'        => array(),
        'em'        => array(),
        'strong'    => array(),
        'b'         => array(),
        'sub'       => array(),
        'sup'       => array(),
    );
    
    if(  is_page() || is_page_template( 'template-builder.php' )  ) {
        if( $rasm_page_breadcrumb_area == '1' ) {
            echo '<!-- Page title 2 -->';
            echo '<div class="breadcumb-wrapper" id="breadcumbwrap">';
                echo '<div class="container">';
                    echo '<div class="breadcumb-content">';
                        if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {
                            if( !empty( rasm_meta('page_breadcrumb_settings') ) ) {
                                if( rasm_meta('page_breadcrumb_settings') == 'page' ) {
                                    $rasm_page_title_switcher = rasm_meta('page_title');
                                } else {
                                    $rasm_page_title_switcher = rasm_opt('rasm_page_title_switcher');
                                }
                            } else {
                                $rasm_page_title_switcher = '1';
                            }
                        } else {
                            $rasm_page_title_switcher = '1';
                        }

                        if( $rasm_page_title_switcher ){
                            if( class_exists( 'ReduxFramework' ) ){
                                $rasm_page_title_tag    = rasm_opt('rasm_page_title_tag');
                            }else{
                                $rasm_page_title_tag    = 'h1';
                            }

                            if( defined( 'CMB2_LOADED' )  ){
                                if( !empty( rasm_meta('page_title_settings') ) ) {
                                    $rasm_custom_title = rasm_meta('page_title_settings');
                                } else {
                                    $rasm_custom_title = 'default';
                                }
                            }else{
                                $rasm_custom_title = 'default';
                            }

                            if( $rasm_custom_title == 'default' ) {
                                echo rasm_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $rasm_page_title_tag ),
                                        "text"  => esc_html( get_the_title( ) ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            } else {
                                echo rasm_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $rasm_page_title_tag ),
                                        "text"  => esc_html( rasm_meta('custom_page_title') ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }

                        }
                        if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {

                            if( rasm_meta('page_breadcrumb_settings') == 'page' ) {
                                $rasm_breadcrumb_switcher = rasm_meta('page_breadcrumb_trigger');
                            } else {
                                $rasm_breadcrumb_switcher = rasm_opt('rasm_enable_breadcrumb');
                            }

                        } else {
                            $rasm_breadcrumb_switcher = '1';
                        }

                        if( $rasm_breadcrumb_switcher == '1' && (  is_page() || is_page_template( 'template-builder.php' ) )) {
                                rasm_breadcrumbs(
                                    array(
                                        'breadcrumbs_classes' => '',
                                    )
                                );
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';
            echo '<!-- End of Page title -->';
            
        }
    } else {
        echo '<!-- Page title 3 -->';
         if( class_exists( 'ReduxFramework' ) ){
            if (class_exists( 'woocommerce' ) && is_shop()){
            $breadcumb_bg_class = 'custom-woo-class';
            }elseif(is_404()){
                $breadcumb_bg_class = 'custom-error-class';
            }elseif(is_search()){
                $breadcumb_bg_class = 'custom-search-class';
            }elseif(is_archive()){
                $breadcumb_bg_class = 'custom-archive-class';
            }else{
                $breadcumb_bg_class = '';
            }
        }else{
            $breadcumb_bg_class = '';
        }
        echo '<div class="breadcumb-wrapper '. esc_attr($breadcumb_bg_class).'">';
            echo '<div class="container z-index-common">';
                    echo '<div class="breadcumb-content">';
                        if( class_exists( 'ReduxFramework' )  ){
                            $rasm_page_title_switcher  = rasm_opt('rasm_page_title_switcher');
                        }else{
                            $rasm_page_title_switcher = '1';
                        }

                        if( $rasm_page_title_switcher ){
                            if( class_exists( 'ReduxFramework' ) ){
                                $rasm_page_title_tag    = rasm_opt('rasm_page_title_tag');
                            }else{
                                $rasm_page_title_tag    = 'h1';
                            }
                            if( class_exists('woocommerce') && is_shop() ) {
                                echo rasm_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $rasm_page_title_tag ),
                                        "text"  => wp_kses( woocommerce_page_title( false ), $allowhtml ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }elseif ( is_archive() ){
                                echo rasm_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $rasm_page_title_tag ),
                                        "text"  => wp_kses( get_the_archive_title(), $allowhtml ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }elseif ( is_home() ){
                                $rasm_blog_page_title_setting = rasm_opt('rasm_blog_page_title_setting');
                                $rasm_blog_page_title_switcher = rasm_opt('rasm_blog_page_title_switcher');
                                $rasm_blog_page_custom_title = rasm_opt('rasm_blog_page_custom_title');
                                if( class_exists('ReduxFramework') ){
                                    if( $rasm_blog_page_title_switcher ){
                                        echo rasm_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $rasm_page_title_tag ),
                                                "text"  => !empty( $rasm_blog_page_custom_title ) && $rasm_blog_page_title_setting == 'custom' ? esc_html( $rasm_blog_page_custom_title) : esc_html__( 'Latest News', 'rasm' ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    }
                                }else{
                                    echo rasm_heading_tag(
                                        array(
                                            "tag"   => "h1",
                                            "text"  => esc_html__( 'Latest News', 'rasm' ),
                                            'class' => 'breadcumb-title',
                                        )
                                    );
                                }
                            }elseif( is_search() ){
                                echo rasm_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $rasm_page_title_tag ),
                                        "text"  => esc_html__( 'Search Result', 'rasm' ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }elseif( is_404() ){
                                echo rasm_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $rasm_page_title_tag ),
                                        "text"  => esc_html__( 'Error Page', 'rasm' ),
                                        'class' => 'breadcumb-title'
                                    )
                                );
                            }elseif( is_singular( 'product' ) ){
                                $posttitle_position  = rasm_opt('rasm_product_details_title_position');
                                $postTitlePos = false;
                                if( class_exists( 'ReduxFramework' ) ){
                                    if( $posttitle_position && $posttitle_position != 'header' ){
                                        $postTitlePos = true;
                                    }
                                }else{
                                    $postTitlePos = false;
                                }

                                if( $postTitlePos != true ){
                                    echo rasm_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $rasm_page_title_tag ),
                                            "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                } else {
                                    if( class_exists( 'ReduxFramework' ) ){
                                        $rasm_post_details_custom_title  = rasm_opt('rasm_product_details_custom_title');
                                    }else{
                                        $rasm_post_details_custom_title = __( 'Shop Details','rasm' );
                                    }

                                    if( !empty( $rasm_post_details_custom_title ) ) {
                                        echo rasm_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $rasm_page_title_tag ),
                                                "text"  => wp_kses( $rasm_post_details_custom_title, $allowhtml ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    }
                                }
                            }else{
                                $posttitle_position  = rasm_opt('rasm_post_details_title_position');
                                $postTitlePos = false;
                                if( is_single() ){
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }
                                }
                                if( is_singular( 'product' ) ){
                                    $posttitle_position  = rasm_opt('rasm_product_details_title_position');
                                    $postTitlePos = false;
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }
                                }

                                if( $postTitlePos != true ){
                                    echo rasm_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $rasm_page_title_tag ),
                                            "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                            'class' => 'breadcumb-title'
                                        )
                                    );
                                } else {
                                    if( class_exists( 'ReduxFramework' ) ){
                                        $rasm_post_details_custom_title  = rasm_opt('rasm_post_details_custom_title');
                                    }else{
                                        $rasm_post_details_custom_title = __( 'Blog Details','rasm' );
                                    }

                                    if( !empty( $rasm_post_details_custom_title ) ) {
                                        echo rasm_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $rasm_page_title_tag ),
                                                "text"  => wp_kses( $rasm_post_details_custom_title, $allowhtml ),
                                                'class' => 'breadcumb-title'
                                            )
                                        );
                                    }
                                }
                            }
                        }
                        if( class_exists('ReduxFramework') ) {
                            $rasm_breadcrumb_switcher = rasm_opt( 'rasm_enable_breadcrumb' );
                        } else {
                            $rasm_breadcrumb_switcher = '1';
                        }
                        if( $rasm_breadcrumb_switcher == '1' ) {
                            if(rasm_breadcrumbs()){
                            echo '<div>';
                                rasm_breadcrumbs(
                                    array(
                                        'breadcrumbs_classes' => 'nav',
                                    )
                                );
                            echo '</div>';
                            }
                        }
                    echo '</div>';
            echo '</div>';
        echo '</div>';
        echo '<!-- End of Page title -->';
    }