<?php
/**
 * @Packge     : Rasm
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $rasm_post_id = get_the_ID();

            // Get the page settings manager
            $rasm_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $rasm_page_settings_model = $rasm_page_settings_manager->get_model( $rasm_post_id );

            // Retrieve the color we added before
            $rasm_header_style = $rasm_page_settings_model->get_settings( 'rasm_header_style' );
            $rasm_header_builder_option = $rasm_page_settings_model->get_settings( 'rasm_header_builder_option' );

            if( $rasm_header_style == 'header_builder'  ) {

                if( !empty( $rasm_header_builder_option ) ) {
                    $rasmheader = get_post( $rasm_header_builder_option );
                    echo '<header class="header">';
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $rasmheader->ID );
                    echo '</header>';
                }
            } else {
                // global options
                $rasm_header_builder_trigger = rasm_opt('rasm_header_options');
                if( $rasm_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $rasm_global_header_select = get_post( rasm_opt( 'rasm_header_select_options' ) );
                    $header_post = get_post( $rasm_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    rasm_global_header_option();
                }
            }
        } else {
            $rasm_header_options = rasm_opt('rasm_header_options');
            if( $rasm_header_options == '1' ) {
                rasm_global_header_option();
            } else {
                $rasm_header_select_options = rasm_opt('rasm_header_select_options');
                $rasmheader = get_post( $rasm_header_select_options );
                echo '<header class="header">';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $rasmheader->ID );
                echo '</header>';
            }
        }
    } else {
        rasm_global_header_option();
    }